Privacy Policy
==============

Last updated: November 19, 2021

## Challenge Run Counter doesn't log or share your personal information.

## We don't track you. We don't profile you. Period.

This Privacy Policy describes Our policies and procedures on the collection, use
and disclosure of Your information when You use the Service and tells You about
Your privacy rights and how the law protects You.

We use Your Personal data to provide and improve the Service. By using the
Service, You agree to the collection and use of information in accordance with
this Privacy Policy. This Privacy Policy has been created with the help of the
[Privacy Policy Generator]
(https://www.freeprivacypolicy.com/free-privacy-policy-generator/).

Interpretation and Definitions
==============================

Interpretation
--------------

The words of which the initial letter is capitalized have meanings defined under
the following conditions. The following definitions shall have the same meaning
regardless of whether they appear in singular or in plural.

Definitions
-----------

For the purposes of this Privacy Policy:

*   **Account** means a unique account created for You to access our Service or
      parts of our Service.

*   **Affiliate** means an entity that controls, is controlled by or is under
      common control with a party, where "control" means ownership of 50% or
      more of the shares, equity interest or other securities entitled to vote
      for election of directors or other managing authority.

*   **Application** means the software program provided by the Company
      downloaded by You on any electronic device, named Challenge Run Counter

*   **Company** (referred to as either "the Company", "We", "Us" or "Our" in
      this Agreement) refers to Challenge Run Counter.

*   **Country** refers to: Washington, United States

*   **Device** means any device that can access the Service such as a computer,
      a cellphone or a digital tablet.

*   **Personal Data** is any information that relates to an identified or
      identifiable individual.

*   **Service** refers to the Application.

*   **Service Provider** means any natural or legal person who processes the
      data on behalf of the Company. It refers to third-party companies or
      individuals employed by the Company to facilitate the Service, to provide
      the Service on behalf of the Company, to perform services related to the
      Service or to assist the Company in analyzing how the Service is used.

*   **Usage Data** refers to data collected automatically, either generated by
      the use of the Service or from the Service infrastructure itself
      (for example, the duration of a page visit).

*   **You** means the individual accessing or using the Service, or the company,
      or other legal entity on behalf of which such individual is accessing or
      using the Service, as applicable.


Collecting and Using Your Personal Data
=======================================

Types of Data Collected
-----------------------

### Personal Data

While using Our App, We may ask You to provide Us with certain personally
identifiable information that can be used to contact or identify You.
Personally identifiable information may include, but is not limited to:

*   Usage Data

### Usage Data

Usage Data is collected automatically when using the app.

Usage Data may include information such as Your Device's Internet Protocol
address (e.g. IP address), browser type, browser version, the parts of our
App that You use, the time and date of Your visit, the time spent on
those pages, unique device identifiers and other diagnostic data.

When You access the App by or through a mobile device, We may collect
certain information automatically, including, but not limited to, the type of
mobile device You use, Your mobile device unique ID, the IP address of Your
mobile device, Your mobile operating system, the type of mobile Internet
browser You use, unique device identifiers and other diagnostic data.

We may also collect information that Your browser sends whenever You visit our
Service or when You access the Service by or through a mobile device.

Use of Your Personal Data
-------------------------

Again, all data collected is private and does not leave the device. Although
we do not collect data remotely, Company may store Personal Data on your device
for the following purposes.

*   **To save logs on device**, for users to identify possible errors and
      provide visibility.

*   **To cache data**, for increasing app performance.

App will not share Your personal information.

Retention of Your Personal Data
-------------------------------

The Company will retain Your Personal Data only for as long as is necessary for
the purposes set out in this Privacy Policy. We will retain and use Your
Personal Data to the extent necessary to comply with our legal obligations
(for example, if we are required to retain your data to comply with applicable
laws), resolve disputes, and enforce our legal agreements and policies.

Transfer of Your Personal Data
------------------------------

The Company will ensure Your data is not transfered outside Device storage.

Disclosure of Your Personal Data
--------------------------------

### Business Transactions

If the Company is involved in a merger, acquisition or asset sale, All personal
data will remain as is, and will not be affected.

### Law enforcement

Under certain circumstances, the Company may be required to disclose Your
Personal Data if required to do so by law or in response to valid requests by
public authorities (e.g. a court or a government agency).

### Other legal requirements

The Company may disclose Your Personal Data in the good faith belief that such
action is necessary to:

*   Comply with a legal obligation
*   Protect and defend the rights or property of the Company
*   Prevent or investigate possible wrongdoing in connection with the Service
*   Protect the personal safety of Users of the Service or the public
*   Protect against legal liability

Security of Your Personal Data
------------------------------

The security of Your Personal Data is important to Us, but remember that no
method of transmission over the Network, or method of electronic storage is
100% secure. While We strive to use acceptable means to protect Your Personal
Data, We cannot guarantee its absolute security.

Children's Privacy
==================

Our Service does not address anyone under the age of 13. We do not knowingly
collect personally identifiable information from anyone under the age of 13. If
You are a parent or guardian and You are aware that Your child has provided Us
with Personal Data, please contact Us. If We become aware that We have
collected Personal Data from anyone under the age of 13 without verification of
parental consent, We take steps to remove that information from Our servers.

If We need to rely on consent as a legal basis for processing Your information
and Your country requires consent from a parent, We may require Your parent's
consent before We collect and use that information.

Links to Other Websites
=======================

Our Service may contain links to other websites that are not operated by Us. If
You click on a third party link, You will be directed to that third party's
site. We strongly advise You to review the Privacy Policy of every site You
visit.

We have no control over and assume no responsibility for the content, privacy
policies or practices of any third party sites or services.

Changes to this Privacy Policy
==============================

We may update Our Privacy Policy from time to time. We will notify You of any
changes by posting the new Privacy Policy on this page.

You are advised to review this Privacy Policy periodically for any changes.
Changes to this Privacy Policy are effective when they are posted on this
page.

Contact Us
==========

If you have any questions about this Privacy Policy, You can contact us:

*   By email: hood.danielc@havenofcode.com

*   By creating an issue on our issues forum:
    [https://gitlab.com/havenofcode/challenge-run-counter/app/-/issues]
    (https://gitlab.com/havenofcode/challenge-run-counter/app/-/issues)
